## tdebase-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  (C) 2014 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  Improvements and feedback are welcome
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


##### general package setup #####################

project( tdebase )

set( PACKAGE tdebase )
set( VERSION R14.0.11 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckCSourceRuns )
include( CheckCXXSourceRuns )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckStructHasMember )
include( CheckTypeSize )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

if( "${CMAKE_VERSION}" VERSION_LESS "3.1" )
  set( CMAKE_ENV "env" )
else()
  set( CMAKE_ENV "${CMAKE_COMMAND};-E;env" )
endif()

add_custom_target( apidox
  COMMAND ${CMAKE_ENV}
    "QTDOCDIR=/usr/share/tqt3/doc/html"
    "DOXDATA=${HTML_INSTALL_DIR}/en/common"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_SASL "Enable SASL support" ${WITH_ALL_OPTIONS} )
option( WITH_LDAP "Enable LDAP support" ${WITH_ALL_OPTIONS} )
option( WITH_SAMBA "Enable SAMBA support" ${WITH_ALL_OPTIONS} )
option( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
option( WITH_XCOMPOSITE "Enable xcomposite support" ${WITH_ALL_OPTIONS} )
option( WITH_XCURSOR "Enable xcursor support" ${WITH_ALL_OPTIONS} )
option( WITH_XFIXES "Enable xfixes support" ${WITH_ALL_OPTIONS} )
option( WITH_XRANDR "Enable xrandr support" ${WITH_ALL_OPTIONS} )
option( WITH_XRENDER "Enable xrender support" ${WITH_ALL_OPTIONS} )
option( WITH_LIBCONFIG "Enable libconfig support" ${WITH_ALL_OPTIONS} )
option( WITH_PCRE "Enable pcre regex support" ON )
option( WITH_XTEST "Enable xtest support" ${WITH_ALL_OPTIONS} )
option( WITH_OPENGL "Enable openGL support" ${WITH_ALL_OPTIONS} )
option( WITH_XSCREENSAVER "Enable xscreensaver support" ${WITH_ALL_OPTIONS} )
option( WITH_LIBART "Enable libart support (for SVG icons and wallpapers)" ${WITH_ALL_OPTIONS} )
option( WITH_LIBUSB "Enable control of some mouse models through libusb" ${WITH_ALL_OPTIONS} )
option( WITH_LIBRAW1394 "Enable visualization of ieee1394 devices through libraw1394" ${WITH_ALL_OPTIONS} )
option( WITH_SUDO_TDESU_BACKEND "Use sudo as backend for tdesu (default is su)" OFF )
option( WITH_SUDO_KONSOLE_SUPER_USER_COMMAND "Use sudo when launching Konsole super user sessions (default is su)" OFF )
option( WITH_PAM "tdm should use PAM" ${WITH_ALL_OPTIONS} )
option( WITH_SHADOW "tdm should use shadow passwords" ${WITH_ALL_OPTIONS} )
option( WITH_XDMCP "xdmcp support for tdm" ${WITH_ALL_OPTIONS} )
option( WITH_XINERAMA "Enable xinerama extension support" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS "Enable aRts support" ${WITH_ALL_OPTIONS} )
option( WITH_I8K "Enable Dell laptop support (ksysguard)" ${WITH_ALL_OPTIONS} )
option( WITH_SENSORS "Enable lm_sensors support (ksysguard)" ${WITH_ALL_OPTIONS} )
option( WITH_HAL "Enable HAL support" OFF )
option( WITH_TDEHWLIB "Enable TDE hardware library support" ${WITH_ALL_OPTIONS} )
option( WITH_UPOWER "Enable UPOWER support" ${WITH_ALL_OPTIONS} )
option( WITH_ELFICON "Enable ELF embedded metadata support" ${WITH_ALL_OPTIONS} )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

##### options comments ##########################

# WITH_SASL         affects tdeioslaves(tdeio_ldap tdeio_smtp tdeio_pop3)
# WITH_LDAP         affects tdeioslaves(tdeio_ldap)
# WITH_SAMBA        affects tdeioslaves(tdeio_samba) kcontrol
# WITH_OPENEXR      affects tdeioslaves(thumbnail)
# WITH_XCOMPOSITE   affects twin kicker(taskmanager) tdm
# WITH_XCURSOR      affects tdeioslaves(thumbnail), kcontrol(input), kdesktop
# WITH_XFIXES       affects twin klipper kicker(taskmanager)
# WITH_XRANDR       affects tdm, kcontrol(displayconfig randr iccconfig)
# WITH_XRENDER      affects twin konsole kicker(taskmanager) kdesktop
#                           kcontrol(style)
# WITH_XTEST        desription adds some hotkey functonality. Its functionality
#                              replaced by xkb nearly everywhere except the
#                              mouse gestures. Also it used as a fallback if
#                              xkb initialization fails.
# WITH_XTEST        affects tdm kxkb khotkeys
# WITH_XSCREENSAVER affects kdesktop
# WITH_LIBART       affects tdm kcontrol(icons background)
# WITH_LIBUSB       affects kcontrol(input)
# WITH_XDMCP        affects tdm
# WITH_XINERAMA     affects ksplashml twin/compton-tde
# WITH_ARTS         affects libkonq khotkeys
# WITH_I8K          affects ksysguard
# WITH_SENSORS      affects ksysguard
# WITH_HAL          affects tdeioslaves(media) ksmserver kicker
# WITH_TDEHWLIB     affects tdeioslaves(media), replaces WITH_HAL on systems without HAL
# WITH_LIBRAW1394   affects kcontrol(view1394)
# WITH_PAM          affects tdm kdesktop kcheckpass
# WITH_SHADOW       affects tdm kcheckpass
# WITH_UPOWER       affects ksmserver
# WITH_LIBCONFIG    affects twin/compot-tde
# WITH_PCRE         affects twin/compot-tde
# WITH_SUDO_TDESU_BACKEND affects tdesu
# WITH_SUDO_KONSOLE_SUPER_USER_COMMAND affects launching Konsole super user sessions

# NOTE: WITH_SHADOW and WITH_PAM shouldn't be set concurrently
#       WITH_PAM will override WITH_SHADOW
# NOTE: if WITH_XCOMPOSITE=ON then the following options are also required:
#       WITH_XRENDER=ON
#       WITH_XFIXES=ON

##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_TDEINIT "Build tdeinit" ${BUILD_ALL} )
option( BUILD_L10N "Build l10n" ${BUILD_ALL} )
option( BUILD_PICS "Build pics" ${BUILD_ALL} )
option( BUILD_APPLNK "Build applnk" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_LIBKONQ "Build libkonq" ${BUILD_ALL} )
option( BUILD_KCMINIT "Build kcminit" ${BUILD_ALL} )
option( BUILD_KCONTROL "Build kcontrol" ${BUILD_ALL} )
option( BUILD_TWIN "Build twin" ${BUILD_ALL} )
option( BUILD_KATE "Build kate" ${BUILD_ALL} )
option( BUILD_KONQUEROR "Build konqueror" ${BUILD_ALL} )
option( BUILD_TDEIOSLAVES "Build tdeioslaves" ${BUILD_ALL} )
option( BUILD_KICKER "Build kicker" ${BUILD_ALL} )
option( BUILD_KDESKTOP "Build kdesktop" ${BUILD_ALL} )
option( BUILD_KONSOLE "Build konsole" ${BUILD_ALL} )
option( BUILD_KLIPPER "Build klipper" ${BUILD_ALL} )
option( BUILD_KMENUEDIT "Build kmenuedit" ${BUILD_ALL} )
option( BUILD_TDEPRINT "Build tdeprint" ${BUILD_ALL} )
option( BUILD_KPERSONALIZER "Build kpersonalizer" ${BUILD_ALL} )
option( BUILD_TDEPASSWD "Build tdepasswd" ${BUILD_ALL} )
option( BUILD_KTIP "Build ktip" ${BUILD_ALL} )
option( BUILD_TDEEJECT "Build tdeeject" ${BUILD_ALL} )
option( BUILD_KDIALOG "Build kdialog" ${BUILD_ALL} )
option( BUILD_KREADCONFIG "Build kreadconfig" ${BUILD_ALL} )
option( BUILD_TDESU "Build tdesu" ${BUILD_ALL} )
option( BUILD_TDM "Build tdm" ${BUILD_ALL} )
option( BUILD_TDM_SYSTEMD_UNIT_FILE "Build tdm service file for systemd" OFF )
option( BUILD_KSMSERVER "Build ksmserver" ${BUILD_ALL} )
option( BUILD_KSPLASHML "Build ksplashml" ${BUILD_ALL} )
option( BUILD_STARTTDE "Build starttde" ${BUILD_ALL} )
option( BUILD_KFIND "Build kfind" ${BUILD_ALL} )
option( BUILD_DRKONQI "Build drkonqi" ${BUILD_ALL} )
option( BUILD_KDCOP "Build kdcop" ${BUILD_ALL} )
option( BUILD_TDEDEBUGDIALOG "Build tdedebugdialog" ${BUILD_ALL} )
option( BUILD_KNETATTACH "Build knetattach" ${BUILD_ALL} )
option( BUILD_KPAGER "Build kpager" ${BUILD_ALL} )
option( BUILD_KAPPFINDER "Build kappfinder" ${BUILD_ALL} )
option( BUILD_KCHECKPASS "Build kcheckpass" ${BUILD_ALL} )
option( BUILD_KHELPCENTER "Build khelpcenter" ${BUILD_ALL} )
option( BUILD_KHOTKEYS "Build khotkeys" ${BUILD_ALL} )
option( BUILD_TDESCREENSAVER "Build tdescreensaver" ${BUILD_ALL} )
option( BUILD_KSTART "Build kstart" ${BUILD_ALL} )
option( BUILD_KSYSTRAYCMD "Build ksystraycmd" ${BUILD_ALL} )
option( BUILD_NSPLUGINS "Build nsplugins"  ${BUILD_ALL} )
option( BUILD_KSYSGUARD "Build ksysguard"  ${BUILD_ALL} )
option( BUILD_KXKB "Build kxkb"  ${BUILD_ALL} )
option( BUILD_TSAK "Build tsak"  ${BUILD_ALL} )
option( BUILD_TDEKBDLEDSYNC "Build tdekbdledsync"  ${BUILD_ALL} )
option( BUILD_KROOTBACKING "Build krootbacking"  ${BUILD_ALL} )
option( BUILD_TQT3INTEGRATION "Build tqt3integration"  ${BUILD_ALL} )
option( BUILD_CRASHTEST "Build crash test program"  ${BUILD_ALL} )
option( BUILD_PROFILE_SHUTDOWN "Build ksmserver shutdown debugging timing markers"  OFF )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}:${LIB_INSTALL_DIR}/pkgconfig" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

check_type_size( "long long" LONG_LONG )


##### tdebase directories #######################

add_subdirectory( tdmlib )
add_subdirectory( kcontrol )

tde_conditional_add_subdirectory( BUILD_TDEINIT tdeinit )
tde_conditional_add_subdirectory( BUILD_L10N l10n )
tde_conditional_add_subdirectory( BUILD_PICS pics )
tde_conditional_add_subdirectory( BUILD_APPLNK applnk )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_LIBKONQ libkonq )
tde_conditional_add_subdirectory( BUILD_KCMINIT kcminit )
tde_conditional_add_subdirectory( BUILD_TWIN twin )
tde_conditional_add_subdirectory( BUILD_KATE kate )
tde_conditional_add_subdirectory( BUILD_KONQUEROR konqueror )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVES tdeioslave )
tde_conditional_add_subdirectory( BUILD_KICKER kicker )
tde_conditional_add_subdirectory( BUILD_KDESKTOP kdesktop )
tde_conditional_add_subdirectory( BUILD_KONSOLE konsole )
tde_conditional_add_subdirectory( BUILD_KLIPPER klipper )
tde_conditional_add_subdirectory( BUILD_KMENUEDIT kmenuedit )
tde_conditional_add_subdirectory( BUILD_TDEPRINT tdeprint )
tde_conditional_add_subdirectory( BUILD_KPERSONALIZER kpersonalizer )
tde_conditional_add_subdirectory( BUILD_TDEPASSWD tdepasswd )
tde_conditional_add_subdirectory( BUILD_KTIP ktip )
tde_conditional_add_subdirectory( BUILD_TDEEJECT tdeeject )
tde_conditional_add_subdirectory( BUILD_KDIALOG kdialog )
tde_conditional_add_subdirectory( BUILD_KREADCONFIG kreadconfig )
tde_conditional_add_subdirectory( BUILD_TDESU tdesu )
tde_conditional_add_subdirectory( BUILD_TDM tdm )
tde_conditional_add_subdirectory( BUILD_KSMSERVER ksmserver )

=== debian/changelog ===
tdebase-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:24 +0200

=== debian/control ===
Source: tdebase-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~)
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: tdebase-trinity
Section: tde
Architecture: all
Replaces: kdebase-trinity (<< 4:14.0.0~)
Breaks: kdebase-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib
Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: tdebase-trinity-doc-html (>= ${source:Version})
Description: base components from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of TDE, namely the minimal package
 set necessary to run TDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: tdebase-runtime-data-common-trinity
Section: tde
Architecture: all
Replaces: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Breaks: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: tde
Architecture: any
Replaces: kappfinder-trinity (<< 4:14.0.0~)
Breaks: kappfinder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: non-TDE application finder for TDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Replaces: kate-trinity (<< 4:14.0.0~)
Breaks: kate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Description: advanced text editor for TDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of TDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: tde
Architecture: any
Replaces: kcontrol-trinity (<< 4:14.0.0~)
Breaks: kcontrol-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: tdebase-libs-trinity (<< 4:3.0.0)
Description: control center for TDE
 The Trinity Control Center provides you with a centralized and convenient
 way to configure all of your TDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-bin
Section: tde
Architecture: any
Replaces: kdebase-trinity-bin (<< 4:14.0.0~)
Breaks: kdebase-trinity-bin (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
Description: core binaries for the TDE base module
 This package contains miscellaneous programs needed by other
 TDE applications, particularly those in the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-data-trinity
Section: tde
Architecture: all
Replaces: kdebase-data-trinity (<< 4:14.0.0~)
Breaks: kdebase-data-trinity (<< 4:14.0.0~)
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
Description: shared data files for the TDE base module
 This package contains the architecture-independent shared data files
 needed for a basic Trinity desktop installation.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-dev
Section: devel
Architecture: any
Replaces: kdebase-trinity-dev (<< 4:14.0.0~)
Breaks: kdebase-trinity-dev (<< 4:14.0.0~)
Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the TDE base module
 This package contains headers and other development files needed to
 compile software based on the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc
Section: doc
Architecture: all
Replaces: kdebase-trinity-doc (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE base module
 This package contains documentation for the TDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdebase-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdebase-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE base documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 TDE base packages.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), mediamanager
Description: core I/O slaves for TDE
 This package includes the base tdeioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media tdeioslave, which handles removable devices,
 and which works best with procfs, udev, and udisks2/udisks/pmount. Media
 also extends the functionality of many other tdeioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-smb-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-smb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity
Conflicts: kdebase-kio-plugins-trinity (<< 4:3.5.13.3~), tdebase-tdeio-plugins-trinity (<< 4:14.0.5~)
Description: SMB I/O slave for TDE
 This package includes SMB tdeioslave.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdepasswd-trinity
Section: utils
Architecture: any
Replaces: kdepasswd-trinity (<< 4:14.0.0~)
Breaks: kdepasswd-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: password changer for TDE
 This is a simple application which allows users to change their
 system passwords.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

CXXFLAGS := -DSMB_CTX_FLAG_USE_KERBEROS -DSMB_CTX_FLAG_FALLBACK_AFTER_KERBEROS -g -Wall $(DEB_OPT_FLAG)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DBUILD_TDM_SYSTEMD_UNIT_FILE="ON" \
 -DSYSTEMDSYSTEMUNITDIR="/lib/systemd/system" \
 -DKCHECKPASS_PAM_SERVICE="kcheckpass-trinity" \
 -DTDM_PAM_SERVICE="tdm-trinity" \
 -DTDESCREENSAVER_PAM_SERVICE="tdescreensaver-trinity" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_USBIDS="/usr/share/misc/usb.ids" \
 -DWITH_ARTS="ON" \
 -DWITH_PAM="ON" \
 -DWITH_SASL="ON" \
 -DWITH_ELFICON="ON" \
 -DWITH_SUDO_TDESU_BACKEND="OFF" \
 -DWITH_SUDO_KONSOLE_SUPER_USER_COMMAND="OFF" \
 -DWITH_LDAP="ON" \
 -DWITH_SAMBA="ON" \
 -DWITH_LIBUSB="ON" \
 -DWITH_LIBRAW1394="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_XCURSOR="ON" \
 -DWITH_XFIXES="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XINERAMA="ON" \
 -DWITH_SENSORS="ON" \
 -DWITH_HAL="OFF" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_XDMCP="ON" \
 -DWITH_XRENDER="ON" \
 -DWITH_XTEST="ON" \
 -DWITH_OPENGL="ON" \
 -DWITH_XSCREENSAVER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBCONFIG="ON" \
 -DWITH_PCRE="ON"

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/kcheckpass    \
	opt/trinity/bin/tdekbdledsync \
	opt/trinity/bin/tdesud    \
	opt/trinity/bin/tdmtsak

DEB_DH_STRIP_ARGS  := --dbg-package=tdebase-trinity-dbg

DOC_HTML_PRUNE := ksplashml kcontrol khelpcenter tdesu knetattach tdeioslave kxkb tdedebugdialog kdcop

PACKAGES_WITH_LIBS := kate-trinity kcontrol-trinity tdebase-trinity-bin kicker-trinity konqueror-trinity ksplash-trinity \
			ksysguard-trinity twin-trinity libkonq4-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

common-install-prehook-arch::
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-i386
	grep -v -e joystick -e view1394  debian/kcontrol-trinity.install > debian/kcontrol-trinity.install.kfreebsd-amd64
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-i386
	grep -v -e media_propsdlgplugin  debian/tdebase-tdeio-plugins-trinity.install > debian/tdebase-tdeio-plugins-trinity.install.kfreebsd-amd64

clean::
	rm -f debian/kcontrol-trinity.install.kfreebsd* debian/tdebase-tdeio-plugins-trinity.install.kfreebs*

binary-install/tdebase-data-trinity::
	# hack the oui.db install, as under kfreebsd it does not get installed and then breaks at dh_install time
	# it's in fact a linux specific file...
	install -p -D -m644 kcontrol/view1394/oui.db debian/tdebase-data-trinity/opt/trinity/share/apps/kcmview1394/oui.db
	install -p -D -m644 debian/tmp/etc/xdg/menus/applications-merged/tde-essential.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/applications-merged/tde-essential.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-screensavers.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-screensavers.menu
	install -p -D -m644 debian/tmp/etc/xdg/menus/tde-settings.menu debian/tdebase-data-trinity/opt/trinity/etc/xdg/menus/tde-settings.menu

install/tdm-trinity::
	#sed -i 's/#UseTheme=true/UseTheme=true/g' debian/tmp/etc/trinity/tdm/tdmrc
	#sed -i 's/Theme=@@@ToBeReplacedByDesktopBase@@@/Theme=\/usr\/share\/apps\/tdm\/themes\/debian-moreblue/g' debian/tmp/etc/trinity/tdm/tdmrc

binary-install/tdm-trinity::
	mkdir -p debian/tdm-trinity/etc/init
	mkdir -p debian/tdm-trinity/etc/init.d
	install -p -D -m755 debian/tdm.init debian/tdm-trinity/etc/init.d/tdm
	
	install -p -D -m644 debian/tdm-trinity.pam debian/tdm-trinity/etc/pam.d/tdm-trinity
	install -p -D -m644 debian/tdm-trinity-np.pam debian/tdm-trinity/etc/pam.d/tdm-trinity-np
	
	install -p -D -m644 debian/tdm-trinity.needrestart debian/tdm-trinity/etc/needrestart/conf.d/tdm-trinity.conf

binary-install/kcontrol-trinity::
	mkdir -p debian/kcontrol/etc/udev/rules.d
	chmod +x debian/usermap.pl
	debian/usermap.pl kcontrol/input/logitechmouse.usermap > debian/kcontrol/etc/udev/logitechmouse.rules

install/klipper-trinity::
	sed -i '/X-Ubuntu-Gettext-Domain=/d' debian/tmp/etc/trinity/klipperrc

binary-install/tdebase-trinity-bin::
	install -p -D -m644 debian/kcheckpass-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/kcheckpass-trinity
	install -p -D -m644 debian/tdescreensaver-trinity.pam debian/tdebase-trinity-bin/etc/pam.d/tdescreensaver-trinity
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/
	install -p -D -m644 debian/ubuntu.xmodmap debian/tdebase-trinity-bin/opt/trinity/share/apps/kxkb/system.xmodmap
	install -p -D -m644 debian/80ubuntu-xmodmap debian/tdebase-trinity-bin/etc/X11/Xsession.d/80ubuntu-trinity-xmodmap
	mkdir -p debian/tdebase-trinity-bin/opt/trinity/share/autostart/

binary-install/ksmserver-trinity::
	install -p -D -m644 debian/tmp/opt/trinity/share/apps/tdm/sessions/tde.desktop debian/ksmserver-trinity/usr/share/xsessions/trinity.desktop

## tdebase-trinity 14.0.12

=== kpersonalizer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR} # for libkonq/konq_defaults.h
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
tde_create_translated_desktop( kpersonalizer.desktop )
install( FILES uninstall.desktop DESTINATION ${APPS_INSTALL_DIR}/System RENAME kpersonalizer.desktop )


##### kpersonalizer (executable) ################

tde_add_executable( kpersonalizer AUTOMOC
  SOURCES
    stylepreview.ui krefinepage.cpp tdestylepage.cpp
    keyecandypage.cpp kospage.cpp kcountrypage.cpp
    kpersonalizer.cpp main.cpp kfindlanguage.cpp
    kcountrypagedlg.ui kospagedlg.ui keyecandypagedlg.ui
    tdestylepagedlg.ui krefinepagedlg.ui ksysinfo.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kxkb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${XTEST_LIBDIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE keyboard.desktop keyboard_layout.desktop
  PO_DIR kxkb-desktops
)

install( FILES kxkb_groups DESTINATION ${CONFIG_INSTALL_DIR} )

tde_create_translated_desktop(
  SOURCE kxkb.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kxkb-desktops
)


##### kcm_keyboard (module) #####################

tde_add_kpart( kcm_keyboard AUTOMOC
  SOURCES
    extension.cpp x11helper.cpp rules.cpp kxkbconfig.cpp
    pixmap.cpp kcmlayout.cpp kcmlayoutwidget.ui
    kcmmisc.cpp kcmmiscwidget.ui
  LINK tdeio-shared ${XKBFILE_LIBRARIES} ${XTEST_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kxkb (tdeinit) ############################

tde_add_tdeinit_executable( kxkb AUTOMOC
  SOURCES
    extension.cpp x11helper.cpp rules.cpp kxkbconfig.cpp
    pixmap.cpp layoutmap.cpp kxkb.cpp kxkbtraywindow.cpp
    kxkb.skel
  LINK tdeui-shared ${XKBFILE_LIBRARIES}
)

=== khelpcenter/plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( Applications )
add_subdirectory( Manpages )
# add_subdirectory( Scrollkeeper )

tde_create_translated_desktop(
  SOURCE
    applets.desktop contact.desktop faq.desktop info.desktop
    links.desktop support.desktop userguide.desktop welcome.desktop
    hardwaremodules.desktop kcontrolmodules.desktop konqplugins.desktop
    tdeioslaves.desktop quickstart.desktop visualdict.desktop adminguide.desktop
  DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/plugins
  PO_DIR khelpcenter-desktops
)

=== tdeioslave/sftp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE sftp.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdeioslave-desktops
)


##### tdeio_sftp (module) #########################

set( target tdeio_sftp )

tde_add_kpart( ${target} AUTOMOC
  SOURCES process.cpp atomicio.cpp tdeio_sftp.cpp sftpfileattr.cpp ksshprocess.cpp
  LINK tdeio-shared tdesu-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdeioslave/media/mounthelper/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdeioslave/media/libmediacommon
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdeio_media_mounthelper (executable) ########

set( target tdeio_media_mounthelper )

set( ${target}_SRCS
  tdeio_media_mounthelper.cpp decryptdialog.ui dialog.cpp
)

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK mediacommon-static tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdeioslave/media/services/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

tde_create_translated_desktop(
  SOURCE
    media_decrypt.desktop media_mount.desktop media_unmount.desktop
    media_eject.desktop media_safelyremove.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
  PO_DIR tdeioslave-desktops
)

=== debian/changelog ===
tdebase-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdebase

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Apr 2022 17:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~)
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, rss-glx, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xkb-data, xutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~)
 Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
 Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
 Standards-Version: 3.8.4
@@ -12,9 +12,9 @@
 Package: tdebase-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-trinity (<< 4:14.0.0~)
-Breaks: kdebase-trinity (<< 4:14.0.0~)
-Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib
+Replaces: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
+Breaks: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
+Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib | argyll
 Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
 Suggests: tdebase-trinity-doc-html (>= ${source:Version})
 Description: base components from the official TDE release
@@ -31,8 +31,8 @@
 Package: tdebase-runtime-data-common-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
-Breaks: kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
+Replaces: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
+Breaks: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
 Description: Shared common files for Trinity and KDE4
  .
  Shared common files for both Trinity and KDE4
@@ -41,8 +41,8 @@
 Package: kappfinder-trinity
 Section: tde
 Architecture: any
-Replaces: kappfinder-trinity (<< 4:14.0.0~)
-Breaks: kappfinder-trinity (<< 4:14.0.0~)
+Replaces: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
+Breaks: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: non-TDE application finder for TDE
  kappfinder searches your workstation for many common applications and
@@ -54,8 +54,8 @@
 Package: kate-trinity
 Section: editors
 Architecture: any
-Replaces: kate-trinity (<< 4:14.0.0~)
-Breaks: kate-trinity (<< 4:14.0.0~)
+Replaces: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
+Breaks: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kregexpeditor-trinity
 Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
@@ -85,8 +85,8 @@
 Package: kcontrol-trinity
 Section: tde
 Architecture: any
-Replaces: kcontrol-trinity (<< 4:14.0.0~)
-Breaks: kcontrol-trinity (<< 4:14.0.0~)
+Replaces: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
+Breaks: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
 Recommends: udev
 Suggests: khelpcenter-trinity, ntpdate | ntp-simple
@@ -109,8 +109,8 @@
 Package: tdebase-trinity-bin
 Section: tde
 Architecture: any
-Replaces: kdebase-trinity-bin (<< 4:14.0.0~)
-Breaks: kdebase-trinity-bin (<< 4:14.0.0~)
+Replaces: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
+Breaks: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
 Suggests: khelpcenter-trinity, gdb
 Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
@@ -124,8 +124,8 @@
 Package: tdebase-data-trinity
 Section: tde
 Architecture: all
-Replaces: kdebase-data-trinity (<< 4:14.0.0~)
-Breaks: kdebase-data-trinity (<< 4:14.0.0~)
+Replaces: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
+Breaks: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
 Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
 Description: shared data files for the TDE base module
  This package contains the architecture-independent shared data files
@@ -137,8 +137,8 @@
 Package: tdebase-trinity-dev
 Section: devel
 Architecture: any
-Replaces: kdebase-trinity-dev (<< 4:14.0.0~)
-Breaks: kdebase-trinity-dev (<< 4:14.0.0~)
+Replaces: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
+Breaks: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
 Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
 Description: development files for the TDE base module
  This package contains headers and other development files needed to
@@ -150,8 +150,8 @@
 Package: tdebase-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdebase-trinity-doc (<< 4:14.0.0~)
-Breaks: kdebase-trinity-doc (<< 4:14.0.0~)
+Replaces: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
+Breaks: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
 Description: developer documentation for the TDE base module
  This package contains documentation for the TDE base module, of
  use more for developers creating applications than regular users.
@@ -162,8 +162,8 @@
 Package: tdebase-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdebase-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdebase-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdebase-trinity
 Description: TDE base documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -182,8 +182,8 @@
 Package: tdebase-tdeio-plugins-trinity
 Section: tde
 Architecture: any
-Replaces: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdebase-kio-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
 Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
 Suggests: khelpcenter-trinity, mtools
@@ -204,23 +204,3 @@
 Package: tdebase-tdeio-smb-trinity
 Section: tde
 Architecture: any
-Replaces: kdebase-kio-smb-trinity (<< 4:14.0.0~)
-Breaks: kdebase-kio-smb-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, kdesktop-trinity
-Conflicts: kdebase-kio-plugins-trinity (<< 4:3.5.13.3~), tdebase-tdeio-plugins-trinity (<< 4:14.0.5~)
-Description: SMB I/O slave for TDE
- This package includes SMB tdeioslave.
- .
- This package is part of TDE, and a component of the TDE base module.
- See the 'tde-trinity' and 'tdebase-trinity' packages for more information.
-
-Package: tdepasswd-trinity
-Section: utils
-Architecture: any
-Replaces: kdepasswd-trinity (<< 4:14.0.0~)
-Breaks: kdepasswd-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}
-Description: password changer for TDE
- This is a simple application which allows users to change their
- system passwords.
- .
